{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

# TODO ranger le spécifique pulseaudio
mkIf cfg.multimediaSuite {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Multimedia

    ## Audio
    beep
    cmus          # lecteur audio console
    espeak        # synthèse vocale
    paprefs       # préferences pulseaudio
    pavucontrol   # mixer pulseaudio
    vorbis-tools  # codec

    ## Video
    smplayer      # lecteur vidéo
    vlc           # lecteur vidéo
  ];
}
