{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.securitySuite {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Securité
    gnome3.seahorse # gestionnaire graphique de clef GPG
    pass            # gestionnaire de mots de passe
    pwgen           # générateur de mots de passe
    #yubikey-personalization-gui # utilisation de la clef Yubikey
  ];
}
